import { jsx } from "react/jsx-runtime";
import { GridFour as GridFour$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const GridFour = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "GridFour", ...props, children: /* @__PURE__ */ jsx(GridFour$1, { weight: variant }) });
  }
);
GridFour.displayName = "GridFour";
Object.assign(GridFour, { isGdsIcon: true });
export {
  GridFour
};
